Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Solved]upgrading Gnome
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5577

PostPosted: Sun Aug 26, 2012 11:53 am    Post subject: Reply with quote

read this on how to uninstall it: http://stackoverflow.com/questions/1550226/python-setup-py-uninstall
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
haleh
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 127

PostPosted: Sun Aug 26, 2012 12:38 pm    Post subject: Reply with quote

Daggystyle :
TnX for your link ,I read it but I couldn't exactly understand ,I ran its command but it wasn't helpful ,I have a question ,maybe very silly ,Can I remove files manually ????I really become confused !!!!
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5577

PostPosted: Sun Aug 26, 2012 12:53 pm    Post subject: Reply with quote

haleh wrote:
Daggystyle :
TnX for your link ,I read it but I couldn't exactly understand ,I ran its command but it wasn't helpful ,I have a question ,maybe very silly ,Can I remove files manually ????I really become confused !!!!


according to the thread, run first
Code:
python setup.py install --record files.txt
from the root folder of python src (you might need sudo thought), then run this:
Code:
sudo rm $(cat files.txt)

_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
haleh
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 127

PostPosted: Sun Aug 26, 2012 1:10 pm    Post subject: Reply with quote

Code:
python setup.py install --record files.txt
running install
running build
running build_ext
error: pyconfig.h: No such file or directory

sudo rm $(cat files.txt)
rm:cannot remove `/usr/lib/python2.7/site-packages/_struct.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_ctypes.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_ctypes_test.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/array.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/cmath.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/math.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/strop.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/time.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/datetime.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_random.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/itertools.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/collections.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_bisect.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_heapq.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/operator.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_functools.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_testcapi.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_hotshot.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_lsprof.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/unicodedata.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_locale.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/fcntl.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/grp.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/spwd.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/select.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/binascii.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/parser.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/cStringIO.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/cPickle.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/mmap.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/syslog.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/audioop.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/imageop.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/rgbimg.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/readline.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/crypt.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_csv.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_socket.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_ssl.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_hashlib.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_sqlite3.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/dbm.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/gdbm.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/termios.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/resource.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/nis.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_curses.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_curses_panel.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/zlib.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/bz2.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/pyexpat.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_elementtree.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_multibytecodec.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_codecs_kr.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_codecs_jp.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_codecs_cn.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_codecs_tw.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_codecs_hk.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/_codecs_iso2022.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/dl.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/linuxaudiodev.so': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/ossaudiodev.so': No such file or directory
rm: cannot remove `/usr/bin/pydoc': No such file or directory
rm: cannot remove `/usr/bin/idle': No such file or directory
rm: cannot remove `/usr/bin/smtpd.py': No such file or directory
rm: cannot remove `/usr/lib/python2.7/site-packages/Python-2.7.3-py2.7.egg-info': No such file or directory

it seems that it wants to remove python-2.7 !!!and I said it doesn't work !!!! I install python with this commands
$./configure
$make
#make install
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5577

PostPosted: Sun Aug 26, 2012 1:15 pm    Post subject: Reply with quote

what version are you getting when running /usr/local/bin/python and python?
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
haleh
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 127

PostPosted: Sun Aug 26, 2012 1:25 pm    Post subject: Reply with quote

DaggyStyle wrote:
what version are you getting when running /usr/local/bin/python and python?

Code:


/usr/local/bin/python
Python 2.5.4 (r254:67916, Aug  8 2012, 19:31:27)
[GCC 4.5.3] on linux3

python
Python 2.7.3 (default, Aug 25 2012, 21:59:19)
[GCC 4.5.3] on linux2
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5577

PostPosted: Sun Aug 26, 2012 1:51 pm    Post subject: Reply with quote

move /usr/local/bin/python to /usr/local/bin/python.ignore and try to install again.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
haleh
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 127

PostPosted: Sun Aug 26, 2012 2:45 pm    Post subject: Reply with quote

DaggyStyle wrote:
move /usr/local/bin/python to /usr/local/bin/python.ignore and try to install again.


what do you mean by install again ???Install which ???python-2.7.3 was installed by emerge yesterday when I updated my system and I installed python-2.5 manually !!!
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5577

PostPosted: Sun Aug 26, 2012 2:49 pm    Post subject: Reply with quote

haleh wrote:
DaggyStyle wrote:
move /usr/local/bin/python to /usr/local/bin/python.ignore and try to install again.


what do you mean by install again ???Install which ???python-2.7.3 was installed by emerge yesterday when I updated my system and I installed python-2.5 manually !!!

install gnome-menu again.

please stop with the multiple ? and !.
also use newlines.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
haleh
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 127

PostPosted: Sun Aug 26, 2012 3:06 pm    Post subject: Reply with quote

TnX ,gnome-menus installed successfully ,but my gnome doesn't have menu yet .

now I emerge gnome-base/gnome-shell and there is no block !!!

Code:
emerge gnome-shell

 * IMPORTANT: 4 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild  N     ] net-misc/mobile-broadband-provider-info-20110511
[ebuild  N     ] dev-libs/libnl-1.1-r3  USE="-doc"
[ebuild  N     ] app-admin/apg-2.3.0b-r5  USE="cracklib"
[ebuild  N     ] media-libs/libv4l-0.8.8
[ebuild  N     ] dev-libs/libnl-3.2.7  USE="-static-libs -utils"
[ebuild  N     ] media-fonts/cantarell-0.0.8  USE="X"
[ebuild  N     ] virtual/perl-Getopt-Long-2.380.0-r2
[ebuild  N    ~] dev-util/fix-la-relink-command-0.1.1
[ebuild  N     ] x11-apps/xrandr-1.3.5
[ebuild  N    ~] net-libs/liboauth-0.9.7  USE="nss -bindist -curl -doc"
[ebuild  N     ] dev-util/gdbus-codegen-2.30.3
[ebuild  N     ] dev-python/dbus-python-1.1.1  USE="-doc -examples -test"
[ebuild  NS    ] app-text/docbook-xml-dtd-4.3-r1 [4.1.2-r6, 4.4-r2]
[ebuild  N    ~] dev-lang/spidermonkey-1.8.5-r1  USE="-debug -static-libs -test"
[ebuild  N     ] dev-lang/vala-0.14.2-r1  USE="vapigen -test"
[ebuild  N     ] dev-lang/vala-0.16.1-r1  USE="vapigen -test"
[ebuild  N     ] dev-lang/vala-0.12.1  USE="vapigen -test"
[ebuild  N     ] media-video/gnome-video-effects-0.3.0
[ebuild  N     ] x11-themes/gnome-icon-theme-symbolic-3.2.2
[ebuild  N     ] x11-apps/mesa-progs-8.0.1
[ebuild     U ~] dev-libs/gobject-introspection-1.32.1 [1.30.0-r2] USE="-doctool%"
[ebuild  N     ] dev-libs/json-glib-0.14.2  USE="introspection -debug -doc"
[ebuild  N     ] net-libs/telepathy-glib-0.16.5  USE="introspection vala -debug -test"
[ebuild  N     ] dev-libs/libgee-0.6.4  USE="introspection"
[ebuild  N    ~] dev-libs/gjs-1.32.0  USE="-examples -test"
[ebuild  N    ~] app-accessibility/at-spi2-core-2.2.3  USE="introspection -doc"
[ebuild  N     ] net-im/telepathy-logger-0.2.12-r1  USE="introspection -doc -test"
[ebuild  N     ] media-libs/cogl-1.8.2  USE="introspection pango -debug -doc -examples -test"
[ebuild  N     ] media-libs/clutter-1.8.4  USE="debug introspection -doc"
[ebuild  N     ] media-libs/gst-plugins-bad-0.10.22  USE="orc"
[ebuild  N     ] media-plugins/gst-plugins-pango-0.10.35
[ebuild  N     ] media-plugins/gst-plugins-jpeg-0.10.30
[ebuild  N     ] media-plugins/gst-plugins-theora-0.10.35
[ebuild  N     ] media-plugins/gst-plugins-v4l2-0.10.30
[ebuild  N     ] media-libs/clutter-gst-1.4.6  USE="introspection -debug -doc -examples"
[ebuild  N     ] sys-apps/accountsservice-0.6.22  USE="introspection vala -doc"
[ebuild  N    ~] net-print/cups-pk-helper-0.2.2
[ebuild  N    ~] x11-libs/mx-1.4.2  USE="debug gtk introspection startup-notification -dbus -doc -glade"
[ebuild  N     ] net-dialup/ppp-2.4.5-r1  USE="gtk ipv6 pam -activefilter -atm -dhcp -eap-tls -radius"
[ebuild  NS   ~] gnome-base/gnome-desktop-3.2.1 [2.32.1] USE="introspection -debug -doc"
[ebuild     U ~] gnome-base/libgnomekbd-3.2.0-r1 [2.32.0-r1] USE="introspection%*"
[ebuild  N     ] media-libs/clutter-gtk-1.0.4  USE="introspection -debug -doc -examples"
[ebuild  NS    ] net-libs/webkit-gtk-1.6.3-r300 [1.6.3-r200] USE="gstreamer introspection jit spell (-aqua) -coverage -debug -doc -test -webgl"
[ebuild  N    ~] media-video/cheese-3.2.2  USE="introspection -doc"
[ebuild  N    ~] dev-python/pyatspi-2.2.1  USE="-test"
[ebuild  N    ~] app-accessibility/caribou-0.4.2
[ebuild  N     ] net-libs/rest-0.7.12  USE="gnome introspection -doc -test"
[ebuild     U ~] dev-libs/libgdata-0.10.2 [0.8.1-r2] USE="-static-libs%"
[ebuild     U ~] dev-libs/libgweather-3.2.1 [2.30.3] USE="introspection%*"
[ebuild  N     ] x11-libs/qt-svg-4.8.2  USE="accessibility exceptions (-aqua) (-c++0x) -debug -pch (-qpa)"
[ebuild  N     ] net-wireless/wpa_supplicant-0.7.3-r5  USE="dbus debug qt4 readline ssl -eap-sim -fasteap -gnutls -madwifi (-ps3) (-selinux) -wimax -wps"
[ebuild  N     ] net-misc/networkmanager-0.9.4.0-r6  USE="bluetooth dhcpcd introspection nss ppp wext -avahi -connection-sharing -dhclient -doc -gnutls -modemmanager -resolvconf -wimax"
[ebuild  N     ] net-libs/libsocialweb-0.25.20  USE="gnome introspection networkmanager vala -connman -doc"
[ebuild  N     ] net-im/telepathy-mission-control-5.10.1  USE="gnome-keyring networkmanager upower"
[ebuild     U ~] gnome-base/gnome-settings-daemon-3.2.3 [2.32.1-r2] USE="colord%* cups%* short-touchpad-timeout%* udev%* (-packagekit) -test%"
[ebuild     U ~] gnome-base/gnome-session-3.2.1-r1 [2.32.1-r3]
[ebuild  N    ~] x11-wm/mutter-3.2.2-r1  USE="introspection -test -xinerama"
[ebuild  N    ~] net-libs/gnome-online-accounts-3.2.1  USE="gnome introspection -debug -doc"
[ebuild     U ~] gnome-extra/evolution-data-server-3.2.3-r2 [2.32.3-r2] USE="gnome-online-accounts%* introspection%* vala%*"
[ebuild  N    ~] dev-libs/folks-0.6.6  USE="eds socialweb vala -debug -test -tracker -utils"
[ebuild  N    ~] net-wireless/gnome-bluetooth-3.2.2  USE="introspection -debug -doc -sendto"
[ebuild  N     ] gnome-extra/nm-applet-0.9.4.1  USE="bluetooth"
[ebuild     U ~] gnome-base/gnome-control-center-3.2.3 [2.32.1-r1] USE="cheese%* colord%* cups%* gnome-online-accounts%* networkmanager%* socialweb%*"
[ebuild  N    ~] gnome-base/gnome-shell-3.2.2.1  USE="bluetooth networkmanager"

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

dev-libs/gobject-introspection:0

  (dev-libs/gobject-introspection-1.30.0-r2::gentoo, installed) pulled in by
    (no parents that aren't satisfied by other packages in this slot)

  (dev-libs/gobject-introspection-1.32.1::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/gobject-introspection-1.31.22 required by (dev-libs/gjs-1.32.0::gentoo, ebuild scheduled for merge)

dev-libs/libgweather:2

  (dev-libs/libgweather-3.2.1::gentoo, ebuild scheduled for merge) pulled in by
    >=dev-libs/libgweather-2.90.0:2 required by (gnome-extra/evolution-data-server-3.2.3-r2::gentoo, ebuild scheduled for merge)

  (dev-libs/libgweather-2.30.3::gentoo, installed) pulled in by
    <dev-libs/libgweather-2.90.1:2 required by (gnome-base/gnome-panel-2.32.1-r3::gentoo, installed)


It may be possible to solve this problem by using package.mask to
prevent one of those packages from being selected. However, it is also
possible that conflicting dependencies exist such that they are
impossible to satisfy simultaneously.  If such a conflict exists in
the dependencies of two different packages, then those packages can
not be installed simultaneously. You may want to try a larger value of
the --backtrack option, such as --backtrack=30, in order to see if
that will solve this conflict automatically.

For more information, see MASKED PACKAGES section in the emerge man
page or refer to the Gentoo Handbook.
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5577

PostPosted: Sun Aug 26, 2012 4:04 pm    Post subject: Reply with quote

unmerge libgweather and gobject-introspection and try again to emerge gnome-shell.
do note that you've didn't solved the python issue, you've just masked it.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
haleh
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 127

PostPosted: Sun Aug 26, 2012 6:18 pm    Post subject: Reply with quote

Daggystyle :

I emerged gnome-shell and x11-wm/mutter but when I want to enter to gnome environment ,I will face error :

Code:
Failed to load session "gnome"  log out


and when I click log out ,It will go out from it !!!!Is it because of that unmerges ???
Back to top
View user's profile Send private message
DaggyStyle
Watchman
Watchman


Joined: 22 Mar 2006
Posts: 5577

PostPosted: Sun Aug 26, 2012 7:40 pm    Post subject: Reply with quote

haleh wrote:
Daggystyle :

I emerged gnome-shell and x11-wm/mutter but when I want to enter to gnome environment ,I will face error :

Code:
Failed to load session "gnome"  log out


and when I click log out ,It will go out from it !!!!Is it because of that unmerges ???

highly unlikely, note that all the packages that you've unmerged have been emerged again.
you can run emerge -atvuDN world to see if something is missing, then revdep-rebuild to fix broken links.

your issue is with gnome config and as I don't use gnome, I cannot help you on this department.

as the original issue in the post is solved, I'd recommend to mark this as solved and open a new topic with your current problem not before you'll search the forum and the internet abit.

good luck.
_________________
Only two things are infinite, the universe and human stupidity and I'm not sure about the former - Albert Einstein
Back to top
View user's profile Send private message
haleh
Tux's lil' helper
Tux's lil' helper


Joined: 06 Jul 2012
Posts: 127

PostPosted: Mon Aug 27, 2012 4:29 am    Post subject: Reply with quote

Thanks Daggystyle for your help and suggestions !!!

Good Luck :D
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum